{#
/**
 * @file
 * Theme implementation for a 'webform' element.
 *
 * This is an copy of the webform.html.twig theme_wrapper which includes the
 * 'title_prefix' and 'title_suffix' variables needed for
 * contextual links to appear.
 *
 * Available variables
 * - attributes: A list of HTML attributes for the wrapper element.
 * - children: The child elements of the webform.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 *
 * @see template_preprocess_webform()
 * @see _webform_form_after_build()
 *
 * @ingroup themeable
 */
#}

{% block before %}{% endblock %}

{{ attach_library('compony/form') }}
<form{{ attributes.addClass('form') }}>
  {{ attach_library('compony/fieldset') }}
  <fieldset class="js-form-wrapper form-wrapper fieldset">
    <h3 class="legend">
      <span class="fieldset-legend">{{ title }}</span>
    </h3>

    {{ title_prefix }}

    {{ children }}

    {{ title_suffix }}
  </fieldset>
</form>

{% block after %}{% endblock %}
